C = 10;
dC = 2;
nC1 = 4;
nC2 = 5;

dz = 0;

lc = 1;

Point(1) = { 0,  0, 0,     lc};
Point(2) = { C,  0, 0,     lc};
Point(3) = { C,  0, C,     lc};
Point(4) = { 0,  0, C-dC,  lc};

Point(5) = { 0,  C, 0,     lc};
Point(6) = { C,  C, 0,     lc};
Point(7) = { C,  C, C+dC,  lc};
Point(8) = { 0,  C, C,     lc};

Point(9)  = { 0,  0, 2*C+dz,     lc};
Point(10) = { C,  0, 2*C+dz,     lc};
Point(11) = { C,  0, C+dz,       lc};
Point(12) = { 0,  0, C-dC+dz,    lc};

Point(13) = { 0,  C, 2*C+dz,     lc};
Point(14) = { C,  C, 2*C+dz,     lc};
Point(15) = { C,  C, C+dC+dz,    lc};
Point(16) = { 0,  C, C+dz,       lc};


Line(1) = {1, 2};
Line(2) = {2, 3};
Line(3) = {3, 4};
Line(4) = {4, 1};

Line(5) = {5, 6};
Line(6) = {6, 7};
Line(7) = {7, 8};
Line(8) = {8, 5};

Line(9) = {1, 5};
Line(10) = {2, 6};

Line(11) = {3, 7};
Line(12) = {4, 8};

Transfinite Line {1,2,3,4,5,6,7,8,9,10,11,12} = nC1+1 Using Progression 1;

Line Loop(11) = {1,2,3,4};
Plane Surface(12) = {11};
Transfinite Surface {12};
Recombine Surface {12};

Line Loop(13) = {-8,-7,-6,-5};
Plane Surface(14) = {13};
Transfinite Surface {14};
Recombine Surface {14};

Line Loop(15) = {-9,-4,12,8};
Plane Surface(16) = {15};
Transfinite Surface {16};
Recombine Surface {16};

Line Loop(17) = {10,6,-11,-2};
Plane Surface(18) = {17};
Transfinite Surface {18};
Recombine Surface {18};

Line Loop(19) = {9,5,-10,-1};
Plane Surface(20) = {19};
Transfinite Surface {20};
Recombine Surface {20};

Line Loop(21) = {-12,-3,11,7};
Plane Surface(22) = {21};
Transfinite Surface {22};
Recombine Surface {22};

Surface Loop(1) = {22, 16, 20, 14, 18, 12};
Volume(1) = {1};

Line(23) = {9, 10};
Line(24) = {10, 11};
Line(25) = {11, 12};
Line(26) = {12, 9};

Line(27) = {13, 14};
Line(28) = {14, 15};
Line(29) = {15, 16};
Line(30) = {16, 13};

Line(31) = {9, 13};
Line(32) = {10, 14};

Line(33) = {11, 15};
Line(34) = {12, 16};

Transfinite Line {23,24,25,26,27,28,29,30,31,32,33,34} = nC2+1 Using Progression 1;

Line Loop(35) = {-26,-25,-24,-23};
Plane Surface(36) = {35};
Transfinite Surface {36};
Recombine Surface {36};

Line Loop(37) = {27,28,29,30};
Plane Surface(38) = {37};
Transfinite Surface {38};
Recombine Surface {38};

Line Loop(39) = {24,33,-28,-32};
Plane Surface(40) = {39};
Transfinite Surface {40};
Recombine Surface {40};

Line Loop(41) = {-33,25,34,-29};
Plane Surface(42) = {41};
Transfinite Surface {42};
Recombine Surface {42};

Line Loop(43) = {-34,26,31,-30};
Plane Surface(44) = {43};
Transfinite Surface {44};
Recombine Surface {44};

Line Loop(45) = {-31,-27,32,23};
Plane Surface(46) = {45};
Transfinite Surface {46};
Recombine Surface {46};

Surface Loop(2) = {36, 38, 40, 42, 44, 46};
Volume(2) = {2};
Recombine Volume {1};
Recombine Volume {2};

Transfinite Volume{1,2};
//+
Physical Volume("Body 1") = {1};
//+
Physical Volume("Body 2") = {2};
//+
Physical Surface("Clamped") = {20};
//+
Physical Surface("Contact 1") = {22};
//+
Physical Surface("Contact 2") = {42};
//+
Physical Surface("Load") = {46};
//+
Physical Point("Clamped xy") = {1};
