clear all 
close all
clc

ensemble_size = 2;


A  = load_crs_matrix( 'Schur test input/A 1.txt', ensemble_size,1 );
B_T  = load_crs_matrix( 'Schur test input/B_T1.txt', ensemble_size,1 );

B1  = load_crs_matrix( 'Schur test input/B1.txt', ensemble_size,1 );
C1  = load_crs_matrix( 'Schur test input/C1.txt', ensemble_size,1 );

B2  = load_crs_matrix( 'Schur test input/B1.txt', ensemble_size,2 );
C2  = load_crs_matrix( 'Schur test input/C1.txt', ensemble_size,2 );

%load('schur_test.mat')

%format longEng

format long

crsA = spconvert(A);
crsB_T = spconvert(B_T);
crsB1 = spconvert(B1);
crsB2 = spconvert(B2);
crsC1 = spconvert(C1);
crsC2 = spconvert(C2);

n = size(crsA,1);
n_2 = size(crsB_T,1);
m = size(crsB_T,2);

fullA = full(crsA);
fullB_T = zeros(n,m);
tmpfullB_T = full(crsB_T);
fullB_T(1:n_2,:) = tmpfullB_T;

fullC1 = zeros(m,m);
fullC2 = zeros(m,m);

tmpfullC1 = full(crsC1);
tmpfullC2 = full(crsC2);

fullC1(1:size(crsC1,1),1:size(crsC1,2)) = tmpfullC1;
fullC2(1:size(crsC2,1),1:size(crsC2,2)) = tmpfullC2;


fullB1 = zeros(m,n);
fullB2 = zeros(m,n);

tmpfullB1 = full(crsB1);
tmpfullB2 = full(crsB2);

fullB1(1:size(crsB1,1),1:size(crsB1,2)) = tmpfullB1;
fullB2(1:size(crsB2,1),1:size(crsB2,2)) = tmpfullB2;

invDiagA = diag(1./diag(fullA));

Schur1 = fullC1 - fullB1*invDiagA*fullB_T;
Schur2 = fullC2 - fullB2*invDiagA*fullB_T;

crsSchur1 = sparse(Schur1);
crsSchur2 = sparse(Schur2);

diagEnsemble = [full(diag(crsSchur1)),full( diag(crsSchur2))]




